# filesystem.acltemplate.update

update filesystem ACL template with id.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: id

#### id

Type: integer

##### Parameter 2: acltemplate_update

#### acltemplate_update

Type: object
No Additional Properties

##

#### Name

Type: string

##

#### Acltype

Type: enum (of string)

##### Must be one of:

- "NFS4"
- "POSIX1E"

##

#### Acl

## Any of

Type: array of object
No Additional Items

##### Each item of this array must be:

#### NFS4ACE

Type: object
No Additional Properties

##

#### Tag

Type: enum (of string)

##### Must be one of:

- "owner@"
- "group@"
- "everyone@"
- "USER"
- "GROUP"

##

#### Type

Type: enum (of string)

##### Must be one of:

- "ALLOW"
- "DENY"

##

#### Perms

## Any of

#### NFS4ACE_AdvancedPerms

Type: object
No Additional Properties

##

#### Read Data

Type: boolean Default: false

##

#### Write Data

Type: boolean Default: false

##

#### Append Data

Type: boolean Default: false

##

#### Read Named Attrs

Type: boolean Default: false

##

#### Write Named Attrs

Type: boolean Default: false

##

#### Execute

Type: boolean Default: false

##

#### Delete

Type: boolean Default: false

##

#### Delete Child

Type: boolean Default: false

##

#### Read Attributes

Type: boolean Default: false

##

#### Write Attributes

Type: boolean Default: false

##

#### Read Acl

Type: boolean Default: false

##

#### Write Acl

Type: boolean Default: false

##

#### Write Owner

Type: boolean Default: false

##

#### Synchronize

Type: boolean Default: false

#### NFS4ACE_BasicPerms

Type: object
No Additional Properties

##

#### Basic

Type: enum (of string)

##### Must be one of:

- "FULL_CONTROL"
- "MODIFY"
- "READ"
- "TRAVERSE"

##

#### Flags

## Any of

#### NFS4ACE_AdvancedFlags

Type: object
No Additional Properties

##

#### File Inherit

Type: boolean Default: false

##

#### Directory Inherit

Type: boolean Default: false

##

#### No Propagate Inherit

Type: boolean Default: false

##

#### Inherit Only

Type: boolean Default: false

##

#### Inherited

Type: boolean Default: false

#### NFS4ACE_BasicFlags

Type: object
No Additional Properties

##

#### Basic

Type: enum (of string)

##### Must be one of:

- "INHERIT"
- "NOINHERIT"

##

#### Id

Default: null

## Any of

Type: integer

Value must be greater or equal to `-1` and lesser or equal to `2147483647`

Type: null

##

#### Who

Default: null

## Any of

Type: string
Type: string

Must be at least `1` characters long

Type: null
Type: array of object
No Additional Items

##### Each item of this array must be:

#### POSIXACE

Type: object
No Additional Properties

##

#### Tag

Type: enum (of string)

##### Must be one of:

- "USER_OBJ"
- "GROUP_OBJ"
- "OTHER"
- "MASK"
- "USER"
- "GROUP"

##

#### POSIXACE_Perms

Type: object
No Additional Properties

##

#### Read

Type: boolean

##

#### Write

Type: boolean

##

#### Execute

Type: boolean

##

#### Default

Type: boolean

##

#### Id

Default: null

## Any of

Type: integer

Value must be greater or equal to `-1` and lesser or equal to `2147483647`

Type: null

##

#### Who

Default: null

## Any of

Type: string
Type: string

Must be at least `1` characters long

Type: null

##

#### Comment

Type: string

##

#### ACLTemplateEntry

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### Builtin

Type: boolean

##

#### Name

Type: string

##

#### Acltype

Type: enum (of string)

##### Must be one of:

- "NFS4"
- "POSIX1E"

##

#### Acl

## Any of

Type: array of object
No Additional Items

##### Each item of this array must be:

#### NFS4ACE

Type: object
No Additional Properties

##

#### Tag

Type: enum (of string)

##### Must be one of:

- "owner@"
- "group@"
- "everyone@"
- "USER"
- "GROUP"

##

#### Type

Type: enum (of string)

##### Must be one of:

- "ALLOW"
- "DENY"

##

#### Perms

## Any of

#### NFS4ACE_AdvancedPerms

Type: object
No Additional Properties

##

#### Read Data

Type: boolean Default: false

##

#### Write Data

Type: boolean Default: false

##

#### Append Data

Type: boolean Default: false

##

#### Read Named Attrs

Type: boolean Default: false

##

#### Write Named Attrs

Type: boolean Default: false

##

#### Execute

Type: boolean Default: false

##

#### Delete

Type: boolean Default: false

##

#### Delete Child

Type: boolean Default: false

##

#### Read Attributes

Type: boolean Default: false

##

#### Write Attributes

Type: boolean Default: false

##

#### Read Acl

Type: boolean Default: false

##

#### Write Acl

Type: boolean Default: false

##

#### Write Owner

Type: boolean Default: false

##

#### Synchronize

Type: boolean Default: false

#### NFS4ACE_BasicPerms

Type: object
No Additional Properties

##

#### Basic

Type: enum (of string)

##### Must be one of:

- "FULL_CONTROL"
- "MODIFY"
- "READ"
- "TRAVERSE"

##

#### Flags

## Any of

#### NFS4ACE_AdvancedFlags

Type: object
No Additional Properties

##

#### File Inherit

Type: boolean Default: false

##

#### Directory Inherit

Type: boolean Default: false

##

#### No Propagate Inherit

Type: boolean Default: false

##

#### Inherit Only

Type: boolean Default: false

##

#### Inherited

Type: boolean Default: false

#### NFS4ACE_BasicFlags

Type: object
No Additional Properties

##

#### Basic

Type: enum (of string)

##### Must be one of:

- "INHERIT"
- "NOINHERIT"

##

#### Id

Default: null

## Any of

Type: integer

Value must be greater or equal to `-1` and lesser or equal to `2147483647`

Type: null

##

#### Who

Default: null

## Any of

Type: string
Type: string

Must be at least `1` characters long

Type: null
Type: array of object
No Additional Items

##### Each item of this array must be:

#### POSIXACE

Type: object
No Additional Properties

##

#### Tag

Type: enum (of string)

##### Must be one of:

- "USER_OBJ"
- "GROUP_OBJ"
- "OTHER"
- "MASK"
- "USER"
- "GROUP"

##

#### POSIXACE_Perms

Type: object
No Additional Properties

##

#### Read

Type: boolean

##

#### Write

Type: boolean

##

#### Execute

Type: boolean

##

#### Default

Type: boolean

##

#### Id

Default: null

## Any of

Type: integer

Value must be greater or equal to `-1` and lesser or equal to `2147483647`

Type: null

##

#### Who

Default: null

## Any of

Type: string
Type: string

Must be at least `1` characters long

Type: null

##

#### Comment

Type: string Default: ""

Required roles: FILESYSTEM_ATTRS_WRITE